Get an overview of a project.

View as Markdown
This endpoint returns an overview of the specified projects stats, project health, number of members, which environments are configured, and the features types in the project.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

projectOverviewSchema
versioninteger
The schema version used to describe the project overview
namestring
The name of this project
onboardingStatusobject
The current onboarding status of a project.
statsobjectOptional
Project statistics
descriptionstring or nullOptional
Additional information about the project
defaultStickinessstringOptional
A default stickiness for the project affecting the default stickiness value for variants and Gradual Rollout strategy
modeenumOptional

The project’s collaboration mode. Determines whether non-project members can submit change requests or not.

featureLimitdouble or nullOptional
A limit on the number of features allowed in the project. Null if no limit.
featureNamingobjectOptional
Create a feature naming pattern
linkTemplateslist of objectsOptional
A list of templates for links that will be automatically added to new feature flags.
membersdoubleOptional
The number of members this project has
technicalDebtdoubleOptional0-100

An indicator of the project’s technical debt on a scale from 0 to 100

environmentslist of objectsOptional
The environments that are enabled for this project
featureTypeCountslist of objectsOptional
The number of features of each type that are in this project
updatedAtstring or nullOptionalformat: "date-time"
When the project was last updated.
archivedAtstring or nullOptionalformat: "date-time"
When the project was archived.
createdAtstring or nullOptionalformat: "date-time"
When the project was created.
favoritebooleanOptional

true if the project was favorited, otherwise false.

healthdoubleOptionalDeprecated

Use technicalDebt instead.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error